### Index

- ApplyUseMethodAdapters (src/.../apply-use-method.adapters.ts)
- ComposeOptionsTransformers (src/.../extract-options-data-source.mixin.ts)
- controlDataSource (src/.../control-data-source.ts)
- FormContextFromActivatedRouteFactory (src/.../form-context-from-activated-route.factory.ts)
- initGenerator (src/.../generator.ts)
- ResolveByUuidParameter (src/.../adapters.ts)
- ResolveByUuidResultFactory (src/.../adapters.ts)
- SubmitContextFormAdapterFactory (src/.../submit-context-form-adapter.factory.ts)
- UseComponent (src/.../use-component.ts)
- UseDataSource (src/.../use-data-source.ts)
- UseFormComponent (src/.../use-form-component.ts)
- UseHideFunction (src/.../control-hide-show.directive.ts)
- UseMethod (src/.../extract-methods.mixin.ts)
- UseOptionsDataSource (src/.../extract-options-data-source.mixin.ts)
- UseOptionsDataSource (src/.../extract-options-data-source.mixin.ts)
- UseOptionsMethod (src/.../extract-options-method.mixin.ts)
- UseOptionsRemoteMethod (src/.../options-from-remote-method.directive.ts)
- UseRemoteMethod (src/.../options-from-remote-method.directive.ts)
- UseResolveMethod (src/.../extract-resolve-method.mixin.ts)
- UseResolveMethod (src/.../extract-resolve-method.mixin.ts)
- UseResolveMethod (src/.../extract-resolve-method.mixin.ts)
- UseShowFunction (src/.../control-hide-show.directive.ts)

### src/lib/mixins/apply-use-method.adapters.ts

###

ApplyUseMethodAdapters
`ApplyUseMethodAdapters(injector: Injector, method: Method, config?: UseMethodConfig)`

Parameters :

Name | Type | Optional
injector | `Injector` | No
method | `Method` | No
config | `UseMethodConfig` | Yes

### src/lib/mixins/extract-options-data-source.mixin.ts

###

ComposeOptionsTransformers
`ComposeOptionsTransformers(...fnc: Array)`

Parameters :

Name | Type | Optional
fnc | `Array` | No

Returns : `any`

UseOptionsDataSource
`UseOptionsDataSource(dataSource: IdOrInstanceOrToken, settings?: InputSelectOptionsSettings)`

Parameters :

Name | Type | Optional
dataSource | `IdOrInstanceOrToken` | No
settings | `InputSelectOptionsSettings` | Yes

Returns : `any`

UseOptionsDataSource
`UseOptionsDataSource(dataSource: IdOrInstanceOrToken, settings?: InputSelectOptionsSettings)`

Parameters :

Name | Type | Optional
dataSource | `IdOrInstanceOrToken` | No
settings | `InputSelectOptionsSettings` | Yes

### src/lib/control-data-source.ts

###

controlDataSource
`controlDataSource(control: AbstractControl)`

Parameters :

Name | Type | Optional
control | `AbstractControl` | No

Returns : `ControlDataSource`

### src/lib/form-context-from-activated-route.factory.ts

###

FormContextFromActivatedRouteFactory
`FormContextFromActivatedRouteFactory(route: ActivatedRoute)`

Parameters :

Name | Type | Optional
route | `ActivatedRoute` | No

### src/generators/init/generator.ts

###

initGenerator
`initGenerator(tree: Tree, options: InitGeneratorSchema)`

Parameters :

Name | Type | Optional
tree | `Tree` | No
options | `InitGeneratorSchema` | No

### src/lib/mixins/adapters.ts

###

ResolveByUuidParameter
`ResolveByUuidParameter(__namedParameters: {value: string})`

Parameters :

Name | Type | Optional
value | `string` | No

ResolveByUuidResultFactory
`ResolveByUuidResultFactory(transformer)`

Parameters :

Name | Optional
transformer | No

### src/lib/submit-context-form-adapter.factory.ts

###

SubmitContextFormAdapterFactory
`SubmitContextFormAdapterFactory(remoteMethod: OpenApiRemoteMethod, context: Record)`

Parameters :

Name | Type | Optional
remoteMethod | `OpenApiRemoteMethod` | No
context | `Record` | No

### src/lib/decorators/use-component.ts

###

UseComponent
`UseComponent(component: Constructor, setProperties: Partial)`

Parameters :

Name | Type | Optional | Default value
component | `Constructor` | No |
setProperties | `Partial` | No | `{}`

### src/lib/decorators/use-data-source.ts

###

UseDataSource
`UseDataSource(dataSource: IdOrInstanceOrToken, name: string, settings?: UseDataSourceSettings)`

Parameters :

Name | Type | Optional
dataSource | `IdOrInstanceOrToken` | No
name | `string` | No
settings | `UseDataSourceSettings` | Yes

### src/lib/decorators/use-form-component.ts

###

UseFormComponent
`UseFormComponent(component: Constructor)`

Links a component with a form definition

Parameters :

Name | Type | Optional
component | `Constructor` | No

### src/lib/directives/control-hide-show.directive.ts

###

UseHideFunction
`UseHideFunction(hideFunction: ControlHideShowFunction, options: ControlHideShowOptions)`

Parameters :

Name | Type | Optional | Default value
hideFunction | `ControlHideShowFunction` | No |
options | `ControlHideShowOptions` | No | `{}`

UseShowFunction
`UseShowFunction(showFunction: ControlHideShowFunction, options: ControlHideShowOptions)`

Parameters :

Name | Type | Optional | Default value
showFunction | `ControlHideShowFunction` | No |
options | `ControlHideShowOptions` | No | `{}`

### src/lib/mixins/extract-methods.mixin.ts

###

UseMethod
`UseMethod(method: ProviderToken, name: string, config?: UseMethodConfig)`

Parameters :

Name | Type | Optional
method | `ProviderToken` | No
name | `string` | No
config | `UseMethodConfig` | Yes

### src/lib/mixins/extract-options-method.mixin.ts

###

UseOptionsMethod
`UseOptionsMethod(method: ProviderToken, config?: UseMethodConfig)`

Parameters :

Name | Type | Optional
method | `ProviderToken` | No
config | `UseMethodConfig` | Yes

### src/lib/directives/options-from-remote-method.directive.ts

###

UseOptionsRemoteMethod
`UseOptionsRemoteMethod(dataSource: Constructor)`

Parameters :

Name | Type | Optional
dataSource | `Constructor` | No

UseRemoteMethod
`UseRemoteMethod(remoteMethod: Constructor, name: string)`

Parameters :

Name | Type | Optional
remoteMethod | `Constructor` | No
name | `string` | No

### src/lib/mixins/extract-resolve-method.mixin.ts

###

UseResolveMethod
`UseResolveMethod(method: ProviderToken)`

Parameters :

Name | Type | Optional
method | `ProviderToken` | No

Returns : `any`

UseResolveMethod
`UseResolveMethod(method: ProviderToken, config: UseMethodConfig)`

Parameters :

Name | Type | Optional
method | `ProviderToken` | No
config | `UseMethodConfig` | No

Returns : `any`

UseResolveMethod
`UseResolveMethod(method: ProviderToken, config?: UseMethodConfig)`

Parameters :

Name | Type | Optional
method | `ProviderToken` | No
config | `UseMethodConfig` | Yes

# results matching ""

# No results matching ""